Глава 3. Выпуски Debian

# Глава 3. Выпуски Debian

Debian от версии 0.01 до 0.90 (август -- декабрь 1993)

Debian 0.91 (январь 1994): этот выпуск содержал простую систему пакетов, с помощью которой можно было их устанавливать и удалять. В тот момент в проекте участвовало несколько десятков человек.

Debian 0.93R5 (март 1995): в этот момент ответственность за каждый пакет нёс разработчик, а менеджер пакетов (dpkg) использовался для установки пакетов, когда на машине уже была установлена базовая система.

Debian 0.93R6 (ноябрь 1995): появляется dselect. Это будет последний выпуск Debian в двоичном формате a.out; в проекте было задействовано 60 разработчиков. Bdale Garbee создал первый сервер master.debian.org, доступ к которому предоставила компания HP одновременно с выходом выпуска 0.93R6. Запуск мастер-сервера, на котором разработчики Debian собирали бы каждый выпуск, привёл к созданию сети сайтов-зеркал и разработке множества правил и процедур используемых для управления Проектом и сегодня.

Debian 1.0 никогда не был выпущен. InfoMagic (поставщик компакт-дисков) выпустил разрабатываемую версию Debian и назвал её 1.0. 11 декабря 1995 Debian совместно с InfoMagic объявил, что этот выпуск никуда не годится. Брюс Пиренс пояснил, что данные размещённые на комплекте компакт-дисков "InfoMagic Linux Developer's Resource 5-CD Set November 1995" как "Debian 1.0" не являются выпуском Debian 1.0, а являются ранней разрабатываемой версией, только частично в формате ELF, которая вероятно не сможет корректно загрузиться или работать и не соответствует качеству выпускаемой системы Debian. Во избежание путаницы между преждевременной версией на компакт-диске и действительного выпуска Debian, Проект переименовал выпуск в "Debian 1.1". Преждевременные компакт-диски Debian 1.0 не должны использоваться.

Хостинг master.debian.org был перенесён с HP на i-Connect.Net в конце 1995. Michael Neuffer и Shimon Shapiro, основатели i-Connect.Net, разместили мастер-сервер на своей собственной аппаратуре на срок чуть более года. За это время они предоставляли различные сервисы для Debian, включая необходимый ежедневный процесс New Maintainer и значительную помощь росту начальной сети зеркал Debian.

Debian 1.1 Buzz (июнь 1996): выпущена первая версия Debian с кодовым названием. Название, как пока и все последующие, было взято по имени персонажа фильма История игрушек), в данном случае -- Buzz Lightyear. Скорее всего, это было сделано потому, что Брюс Пиренс, перенявший лидерство в Проекте у Иэна Мэрдока, работал в компании Pixar, выпустившей этот фильм. Этот выпуск был полностью в ELF-формате, использовал ядро Linux 2.0 и содержал 474 пакета.

Debian 1.2 Rex (12 декабря 1996): назван в честь пластмассового динозавра из фильма История игрушек. Этот выпуск содержал 848 пакетов поддерживаемых 120 разработчиками.

Debian 1.3 Bo (5 июня 1997): назван по имени пастушки Bo Peep. Содержал 974 пакета поддерживаемых 200 разработчиками.

Debian 2.0 Hamm (24 июля 1998): выпуск назван в честь свиньи-копилки из фильма История игрушек. Первый многоархитектурный выпуск Debian: добавлена поддержка архитектур основанных на Motorola 68000; осуществлён переход на библиотеку libc6; выпуск содержит более 1500 пакетов поддерживаемых 400 разработчиками. Во время создания лидером Проекта был Иэн Джексон.

Debian 2.1 Slink (March 9th, 1999): Named for the slinky-dog in the movie. Two more architectures were added, Alpha and SPARC. With Wichert Akkerman as Project Leader, this release consisted of about 2250 packages and required 2 CDs in the official set. The key technical innovation was the introduction of apt, a new package management interface. Widely emulated, apt addressed issues resulting from Debian's continuing growth, and established a new paradigm for package acquisition and installation on Open Source operating systems.

Debian 2.2 Potato (15 August 2000): Named for "Mr Potato Head" in the Toy Story movies. This release added support for the PowerPC and ARM architectures. With Wichert still serving as Project Leader, this release consisted of more than 3900 binary packages derived from over 2600 source packages maintained by more than 450 Debian developers.

Debian 3.0 Woody (19 July 2002): Named for the main character the Toy Story movies: "Woody" the cowboy. Even more architectures were added in this release: IA-64, HP PA-RISC, MIPS (big endian), MIPS (little endian) and S/390. This is also the first release to include cryptographic software due to the restrictions for exportation being lightened in the US, and also the first one to include KDE, now that the license issues with Qt were resolved. With Bdale Garbee recently appointed Project Leader, and more than 900 Debian developers, this release contained around 8,500 binary packages and 7 binary CDs in the official set.

Debian 3.1 Sarge (6 June 2005): named for the sergeant of the Green Plastic Army Men. No new architectures were added to the release, although an unofficial AMD64 port was published at the same time and distributed through the new Alioth project hosting site. This release features a new installer: debian-installer, a modular piece of software that feature automatic hardware detection, unattended installation features and was released fully translated to over thirty languages. It was also the first release to include a full office suite: OpenOffice.org. Branden Robinson had just been appointed as Project Leader. This release was made by more than nine hundred Debian developers, and contained around 15,400 binary packages and 14 binary CDs in the official set.

Debian 4.0 Etch (8 April 2007): named for the sketch toy in the movie. One architecture was added in this release: AMD64, and official support for m68k was dropped. This release continued using the debian-installer, but featuring in this release a graphical installer, cryptographic verification of downloaded packages, more flexible partitioning (with support for encrypted partitions), simplified mail configuration, a more flexible desktop selection, simplified but improved localization and new modes, including a rescue mode. New installations would not need to reboot through the installation process as the previous two phases of installation were now integrated. This new installer provided support for scripts using composed characters and complex languages in its graphical version, increasing the number of available translations to over fifty. Sam Hocevar was appointed Project Leader the very same day, and the project included more than one thousand and thirty Debian developers. The release contained around 18,000 binary packages over 20 binary CDs (3 DVDs) in the official set. There were also two binary CDs available to install the system with alternate desktop environments different to the default one.

Debian 5.0 Lenny (February 2009): named for the wind up binoculars in the Toy Story movies. One architecture was added in this release: ARM EABI (or armel), providing support for newer ARM processors and deprecating the old ARM port (arm). The m68k port was not included in this release, although it was still provided in the unstable distribution. This release did not feature the FreeBSD port, although much work on the port had been done to make it qualify it did not meet yet the qualification requirements for this release.

Улучшена поддержка устройств с малым форм-фактором путём добавления поддержки платформы Marvell Orion, которая используется во многих устройствах хранения, также предоставлена поддержка для некоторых нетбуков. Были добавлены некоторые новые инструменты сборки, которые позволяют выполнять перекрёстную компиляцию и сжатие пакетов для систем ARM. Кроме того, теперь поддерживаются нетбуки некоторых производителей, а ПО больше подходит для компьютеров с относительно низкими показателями производительности.

Также это был первый выпуск, предоставляющий свободную версию Java от Sun, что сделало возможным распространение Java-приложений через раздел main.

Debian 6.0 Squeeze (февраль 2011): назван в честь зелёного трёхглазого пришельца.

Выпуск был заморожен 6 августа 2010, когда многие разработчики собрались на десятой конференции DebConf в Нью-Йорке.

While two architectures (alpha and hppa) were dropped, two architectures of the new FreeBSD port (kfreebsd-i386 and kfreebsd-amd64) were made available as technology preview, including the kernel and userland tools as well as common server software (though not advanced desktop features yet). This was the first time a Linux distribution has been extended to also allow use of a non-Linux kernel.

В новом выпуске была представлена основанная на зависимостях последовательность загрузки, которая позволяет параллельно выполнять сценарии инициализации, ускоряя запуск системы.

Debian 6 was the first release that benefited from Long Term Support (LTS), a project to extend the lifetime of all Debian stable releases to (at least) 5 years. Debian LTS was not handled by the Debian Security team, but by a separate group of volunteers and companies interested in making it a success. Debian 6 was supported until the end of February 2016, and limited to i386 and amd64 architectures.

Debian 7.0 Wheezy (май 2013): назван в честь резинового игрушечного пингвина с красным галстуком-бабочкой.

Выпуск был заморожен 30 июня 2012 года, когда многие разработчики собрались на двенадцатой конференции DebConf в Манагуа, Никарагуа.

Для этого выпуска была добавлена одна архитектура (armhf), в выпуске добавлена поддержка мультиархтектур, которая позволяет пользователям устанавливать пакеты для нескольких архитектур на одну и ту же машину. Улучшения в процессе установки впервые позволили людям с ослабленным зрением устанавливать систему, используя программы для синтеза речи.

Этот выпуск стал первым выпуском, поддерживающим установку и загрузку с устройств, использующих прошивку UEFI.

Debian 7 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of May 2018.

Debian 8 Jessie (апрель 2015): назван в честь куклы девушки-ковбоя, которая впервые появилась в Истории игрушек 2.

This release introduced for the first time the systemd init system as default. Two new architectures were introduced: arm64 and ppc64el and three architectures were dropped: s390 (replaced by s390x), ia64 and sparc. The Sparc architecture had been present in Debian for 16 years, but lacked developer support to make it maintainable in the distribution.

The release included many security improvements such as a new kernel that nullified a whole set of security vulnerabilities (symlink attacks), a new way to detect packages which were under security support, more packages built with hardened compiler flags and a new mechanism (needrestart) to detect sub-systems which had to be restarted in order to propagate security updates after an upgrade.

Debian 8 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2020.

Debian 9 Stretch (June 2017): named for the toy rubber octopus with suckers on her eight long arms that appeared in Toy Story 3.

The release was frozen on February 7th, 2017.

Debian 9 was dedicated to the project's founder Ian Murdock, who passed away on 28 December 2015.

Support for the powerpc architecture was dropped in this release, whileas the mips64el architecture was introduced. This release introduced debug packages with a new repository in the archive, packages from this repository provided debug symbols automatically for packages. Firefox and Thunderbird returned to Debian, replacing their debranded versions Iceweasel and Icedove, which were present in the archive for more than 10 years. Thanks to the Reproducible Builds project, over 90% of the source packages included in Debian 9 were able to build bit-for-bit identical binary packages.

Debian 9 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2022.

Debian 10 Buster (July 2019): named for Andy's pet dog, received as Christmas present in the end of Toy Story.

With this release Debian for the first time included a mandatory access control framework enabled per default (AppArmor). It was also the first Debian release to ship with Rust based programs such as Firefox, ripgrep, fd, exa, etc. and a significant number of Rust based libraries (more than 450). In Debian 10 GNOME defaults to using the Wayland display server instead of Xorg, providing a simpler and more modern design and advantages for security. The UEFI ("Unified Extensible Firmware Interface") support first introduced in Debian 7 continued to be greatly improved in Debian 10, being included for amd64, i386 and arm64 architectures and working out of the box on most Secure Boot-enabled machines.

Debian 10 had Long Term Support (LTS) for i386, amd64, armel and armhf architectures until the end of June 2024.

Debian 11 Bullseye (August 14th, 2021): named for Woody's wooden toyhorse that appeared in Toy Story 2.

This release contained over 11,294 new packages for a total count of 59,551 packages, along with a significant reduction of over 9,519 packages which were marked as "obsolete" and removed. 42,821 packages were updated and 5,434 packages remained unchanged.

Debian 11 allowed driverless printing and scanning without the need for vendor specific (often non-free) drivers, and shipped a Linux kernel with support for the exFAT filesystem. The mips architecture support was dropped, keeping support for mipsel (little-endian) architectures for 32-bit hardware and mips64el architecture for 64-bit little-endian hardware.

The Debian Med team took part in the fight against COVID-19 by packaging software for researching the virus on the sequence level and for fighting the pandemic with the tools used in epidemiology; this work continued with focus on machine learning tools for both fields.

Debian 12 Bookworm (June 10th, 2023): named for a green toy worm with a built-in flashlight that appeared in Toy Story 3.

This release contained over 11,089 new packages for a total count of 64,419 packages, while over 6,296 packages have been removed as "obsolete". 43,254 packages were updated in this release. The overall disk usage for bookworm is 365,016,420 kB (365 GB), and is made up of 1,341,564,204 lines of code.

Following the 2022 General Resolution about non-free firmware, the Debian Social Contract got adjusted and a new archive area called non-free-firmware got introduced, making it possible to separate non-free firmware from the other non-free packages. Most non-free firmware packages have been moved from non-free to non-free-firmware. This separation makes it possible to build a variety of official installation images. And it makes installing Debian on popular hardware using the official Debian installer much easier.

A total of nine architectures are officially supported for bookworm.

The Debian Cloud team publishes bookworm for three popular cloud computing services.

Between releases, in Bug#978636 (Feb 2021), the Technical Committee resolved that Debian bookworm would support only the merged-usr[1] root filesystem layout, dropping support for the non-merged-usr layout. For systems installed as buster or bullseye there would be no changes to the filesystem; however, systems using the older layout would be converted during the upgrade.

Thanks to the combined work of the Debian Security team and the Debian Long Term Support team, bookworm will be supported on four architectures until June 2028 (5 years after release).

Debian 13 Trixie (as of August 2024 the testing distribution): Trixie is a blue toy Triceratops that appeared in Toy Story 3.

[1] usr-merge (or merged-usr or `/usr`-move) is a filesystem layout where the traditional unix directories `/bin`, `/sbin`, `/lib` and `/lib64` are replaced by symbolic links to their counterparts under `/usr`. So e.g. `/bin` is replaced by a symlink to `/usr/bin` . In 2012, usr-merge was implemented by Fedora Linux as well as by Ubuntu Linux. See also The Case For The Usr Merge and the Bookworm Release Notes.

Глава 2. Лидерство |  | Глава 4. Детальная история